package com.hzs.common.core.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 订单状态
 */
@AllArgsConstructor
@Getter
public enum EOrderStatus {

    /**
     * 0=待付款
     */
    WAIT_PAY(0, "待付款", 0),

    /**
     * 1=待发货
     */
    PAY(1, "待发货", 0),

    /**
     * 2=已合单
     */
    SHIPPING(2, "已合单", 0),

    /**
     * 3=待收货
     */
    DELIVERED(3, "待收货", 0),

    /**
     * 4=已关闭
     */
    CANCEL(4, "已关闭", 0),

    /**
     * 5=已收货
     */
    RECEIVED(5, "已收货", 0),

    /**
     * 6=提货中心
     */
    PICK(6, "提货中心", 0),

    ;

    /**
     * 实际值
     */
    private final int value;
    /**
     * 显示标签
     */
    private final String label;
    /**
     * 是否启用（0=是,1=否） -- 来源EYesNo
     */
    private final int enable;

    /**
     * 根据值获取显示内容
     *
     * @param value
     * @return
     */
    public static String getLabelByValue(Integer value) {
        if (null == value) {
            return "";
        }
        for (EOrderStatus enums : EOrderStatus.values()) {
            if (enums.value == value) {
                return enums.getLabel();
            }
        }
        return "";
    }

}
